quadrature_on_geo< T >
Inheritance diagram for quadrature_on_geo< T >:

## Public Types

typedef std::vector< weighted_point< T > > | base
typedef base::size_type | size_type
typedef point_basic< T > | x

## Public Member Functions

| quadrature_on_geo ()
| quadrature_on_geo (const quadrature_on_geo &q)
quadrature_on_geo & | operator= (const quadrature_on_geo &q)
void | get_nodes (Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &node) const
void | initialize (reference_element hat_K, quadrature_option opt)
void | init_point (quadrature_option opt)
void | init_edge (quadrature_option opt)
void | init_triangle (quadrature_option opt)
void | init_square (quadrature_option opt)
void | init_tetrahedron (quadrature_option opt)
void | init_prism (quadrature_option opt)
void | init_hexahedron (quadrature_option opt)
void | wx (const point_basic< T > &x, const T &w)

## Static Public Member Functions

static size_type | n_node_gauss (size_type r)

## Detailed Description

### template<class T>
class rheolef::quadrature_on_geo< T >

Definition at line 82 of file quadrature.h.

## Member Typedef Documentation

## base

typedef std::vector<weighted_point<T> > base

Definition at line 87 of file quadrature.h.

## size_type

typedef base::size_type size_type

Definition at line 88 of file quadrature.h.

## x

typedef point_basic<T> x

Definition at line 89 of file quadrature.h.

## Constructor & Destructor Documentation

## quadrature_on_geo() [1/2]

quadrature_on_geo

Definition at line 238 of file quadrature.h.

## quadrature_on_geo() [2/2]

quadrature_on_geo | ( | const quadrature_on_geo< T > & | q | ) |

Definition at line 95 of file quadrature.h.

## Member Function Documentation

## operator=()

quadrature_on_geo& operator= | ( | const quadrature_on_geo< T > & | q | ) |

Definition at line 96 of file quadrature.h.

## get_nodes()

void get_nodes | ( | Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & | node | ) | const

Definition at line 123 of file quadrature_rep.cc.

## initialize()

void initialize | ( | reference_element | hat_K,
|  | quadrature_option | opt
| ) |  |

Definition at line 105 of file quadrature_rep.cc.

## init_point()

void init_point | ( | quadrature_option | opt | ) |

Definition at line 27 of file quadrature_p.cc.

## init_edge()

void init_edge | ( | quadrature_option | opt | ) |

Definition at line 38 of file quadrature_e.cc.

## init_triangle()

void init_triangle | ( | quadrature_option | opt | ) |

Definition at line 50 of file quadrature_t.cc.

## init_square()

void init_square | ( | quadrature_option | opt | ) |

Definition at line 46 of file quadrature_q.cc.

## init_tetrahedron()

void init_tetrahedron | ( | quadrature_option | opt | ) |

Definition at line 28 of file quadrature_Te.cc.

## init_prism()

void init_prism | ( | quadrature_option | opt | ) |

Definition at line 28 of file quadrature_Pr.cc.

## init_hexahedron()

void init_hexahedron | ( | quadrature_option | opt | ) |

Definition at line 28 of file quadrature_H.cc.

## wx()

void wx | ( | const point_basic< T > & | x,
|  | const T & | w
| ) |  |

Definition at line 116 of file quadrature.h.

## n_node_gauss()

quadrature_on_geo< T >::size_type n_node_gauss | ( | size_type | r | ) |

static

Definition at line 245 of file quadrature.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/quadrature.h
- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/quadrature_e.cc
- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/quadrature_H.cc
- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/quadrature_p.cc
- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/quadrature_Pr.cc
- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/quadrature_q.cc
- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/quadrature_rep.cc
- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/quadrature_t.cc
- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/quadrature_Te.cc